#!/bin/sh
#
# Cacti script to copy IPCop's RRD files
# Version 1.0
#
# /usr/local/bin/ipcop2cacti.sh
#
# SID Solutions
# http://www.sidsolutions.net
# Copyright (c) 07/11/2008
# Programmed by Sid McLaurin
#
# Description: Copy IPCop's RRD files via SCP to 
# Cacti's RRD directory

# Variables
SCP=/usr/bin/scp
CHOWN=/bin/chown
KEY=/root/ipcop/cacti-ipcop-key
IPCOP=ipcop.sidsolutions.net
IPCOP_PATH=/var/log/rrd
CACTI_PATH=/var/www/html/cacti.sidsolutions.net/rra
WEBUSER=lighttpd
WEBGROUP=lighttpd

# Copy Command
$SCP -i $KEY -P 222 root@$IPCOP:$IPCOP_PATH/* $CACTI_PATH/

# Set permissions for web server
$CHOWN -R $WEBUSER:$WEBGROUP $CACTI_PATH
